const wxml = function (data) {
  return `
  <view class="share">
    <image src="${data.controls.bg}?x-oss-process=image/resize,m_fill,h_530,w_300" class="bg"></image>
    <image src="https://webapp-pub.ezijing.com/weapp/share/marywood/cover2.png" class="cover"></image>
    <view class="main">
      <view class="day">
        <image src="https://webapp-pub.ezijing.com/weapp/share/marywood/roud_bg.png?x-oss-process=image/resize,m_fill,h_130,w_130" class="day-bg"></image>
        <view class="day-inner">
          <text class="day-num">${data.share.used_day}</text>
          <text class="day-tips">Learning Days</text>
        </view>
      </view>
      <text class="text">${data.controls.text}</text>
      <view class="line"></view>
      <view class="box">
        <view class="course">
          <text class="course-en-name">${data.share.english_course_name}</text>
          <text class="course-name">${data.share.course_name}</text>
        </view>
        <view class="progress">
          <view class="progress-box">
            <text class="progress-num">${data.share.current_percent}</text>
            <text class="progress-unit">%</text>
          </view>
          <text class="progress-completed">completed</text>
        </view>
      </view>
      <view class="box">
        <view class="progress">
          <view class="progress-box">
            <text class="progress-num">${data.share.all_percent}</text>
            <text class="progress-unit">%</text>
          </view>
          <text class="progress-completed">completed</text>
        </view>
        <text class="course-mba">MBA Learning Achievement</text>
      </view>
      <view class="line mt10"></view>
      <view class="qrcode-box">
        <image src="${data.qrcode}" class="qrcode"></image>
      </view>
      <text class="qrcode-tips">Scan to learn with me</text>
    </view>
  </view>`
}

const style = function (data) {
  const enCourseNameLength = data.share.english_course_name.length
  return {
    share: {
      position: 'relative',
      width: 300,
      height: 530
    },
    bg: {
      width: 300,
      height: 530
    },
    cover: {
      position: 'absolute',
      top: 42,
      left: 24,
      width: 254,
      height: 449
    },
    main: {
      position: 'absolute',
      left: 45,
      top: 142,
      width: 210,
      height: 300,
      alignItems: 'center',
      color: data.controls.color
    },
    title: {
      width: 210,
      textAlign: 'center',
      fontSize: 10,
      // fontFamily: 'Lato',
      fontWeight: 700,
      lineHeight: 16,
      height: 16
    },
    day: {
      position: 'relative',
      width: 130,
      height: 130
    },
    dayBg: {
      position: 'absolute',
      left: 0,
      right: 0,
      bottom: 0,
      top: 0
    },
    dayInner: {
      position: 'absolute',
      left: 0,
      right: 0,
      bottom: 0,
      top: 0,
      flexDirection: 'column',
      justifyContent: 'center',
      textAlign: 'center'
    },
    dayNum: {
      height: 48,
      fontSize: 48,
      fontFamily: 'HelveticaNeueLTProMd',
      lineHeight: 48,
      color: '#f1ae2c'
    },
    dayTips: {
      height: 20,
      fontSize: 14,
      fontFamily: 'Lato',
      color: '#fff'
    },
    line: {
      width: 210,
      height: 0.5,
      backgroundColor: '#F1AE2C'
    },
    text: {
      marginTop: 20,
      width: 210,
      height: 17,
      fontSize: 9,
      lineHeight: 9,
      textAlign: 'center'
    },
    box: {
      marginTop: 9,
      width: 210,
      color: data.controls.color,
      flexDirection: 'row',
      alignItems: 'center'
    },
    mt10: {
      marginTop: 9
    },
    course: {
      width: 156
      // height: 40
    },
    courseEnName: {
      height: enCourseNameLength > 26 ? 24 : 12,
      fontFamily: 'Lato',
      fontSize: 12,
      fontWeight: 500,
      lineHeight: 12
    },
    courseName: {
      marginLeft: -5,
      marginTop: 3,
      height: 11,
      fontSize: 11,
      fontWeight: 400,
      lineHeight: 11
    },
    courseMba: {
      width: 156,
      height: 12,
      fontFamily: 'Lato',
      fontSize: 12,
      fontWeight: 500,
      lineHeight: 12,
      textAlign: 'right'
    },
    progress: {
      flexDirection: 'column',
      justifyContent: 'center',
      alignItems: 'center',
      width: 54,
      height: 38
    },
    progressBox: {
      flexDirection: 'row',
      alignItems: 'flex-end',
      justifyContent: 'center',
      width: 54,
      height: 28
    },
    progressNum: {
      width: 36,
      height: 30,
      marginBottom: -5,
      fontFamily: 'HelveticaNeueLTProMdIt',
      fontSize: 30,
      lineHeight: 30,
      textAlign: 'right'
    },
    progressUnit: {
      width: 16,
      height: 16,
      fontFamily: 'HelveticaNeueLTProMdIt',
      fontSize: 16,
      lineHeight: 16
    },
    progressCompleted: {
      marginTop: -2,
      width: 54,
      height: 11,
      fontFamily: 'Lato-Light',
      fontSize: 11,
      fontWeight: 300,
      lineHeight: 11,
      textAlign: 'center'
    },
    qrcodeBox: {
      marginTop: 8,
      width: 39,
      height: 39,
      borderRadius: 2,
      backgroundColor: '#1d5434'
    },
    qrcode: {
      margin: 1,
      width: 37,
      height: 37
    },
    qrcodeTips: {
      width: 210,
      height: 15,
      marginTop: 3,
      fontSize: 8,
      color: data.controls.color,
      lineHeight: 8,
      textAlign: 'center'
    }
  }
}

export { wxml, style }
